## GtkWindowHandle GtkWindowHandle — A titlebar area widget |

## Functions

GtkWidget * | gtk_window_handle_new ()
GtkWidget * | gtk_window_handle_get_child ()
void | gtk_window_handle_set_child ()

## Properties

GtkWidget * | child | Read / Write

## Types and Values

| GtkWindowHandle

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkWindowHandle

## Implemented Interfaces

GtkWindowHandle implements AtkImplementorIface, GtkBuildable and GtkConstraintTarget.

## Includes

    #include <gtk/gtk.h>

## Description

GtkWindowHandle is a titlebar area widget. When added into a window, it can be dragged to move the window, and handles right click double click and middle click as expected of a titlebar.

### CSS nodes

GtkWindowHandle has a single CSS node with the name windowhandle.

## Functions

### gtk_window_handle_new ()

    GtkWidget *
    gtk_window_handle_new (void);

Creates a new GtkWindowHandle.

#### Returns

a new GtkWindowHandle.

### gtk_window_handle_get_child ()

    GtkWidget *
    gtk_window_handle_get_child (GtkWindowHandle *self);

Gets the child widget of `self` .

#### Parameters

self | a GtkWindowHandle |

#### Returns

the child widget of `self` .

[nullable][transfer none]

### gtk_window_handle_set_child ()

    void
    gtk_window_handle_set_child (GtkWindowHandle *self,
                                 GtkWidget *child);

Sets the child widget of `self` .

#### Parameters

self | a GtkWindowHandle |
child | the child widget. | [allow-none]

## Types and Values

### GtkWindowHandle

    typedef struct _GtkWindowHandle GtkWindowHandle;

## Property Details

### The `“child”` property

      “child”                    GtkWidget *

The child widget.

Owner: GtkWindowHandle

Flags: Read / Write

## See Also

GtkWindow, GtkHeaderBar